'use strict';
// const IP = 'http://192.168.0.168:5000/'; // thuis
// const IP = 'http://172.30.252.68:5000/'; // school
// const IP = 'http://169.254.10.1:5000/'; // apipa
let IP = 'http://' + location.host + ':5000/';
const socket = io.connect(IP);

//#region show
const showorders = function(orders) {
  let html = ``;
  for (const order of orders) {
    html += `
        <div class="o-layout o-layout--justify-space-between u-margin-sm-top-bottom">
            <li>${order.cocktailname}</li>
            <li class ="u-text-align-right">${order.Datetime.substring(4, 17)}</br>${order.Datetime.substring(17, 22)}</li>
          </div>
        `;
  }
  document.querySelector('.js-orders').innerHTML = html;
};

const showusers = function(users) {
  let html = ``;
  for (const i of users) {
    html += `
        <option class="js-option" value="${i.usersID}">${i.Name}</option>
        `;
  }
  document.querySelector('.js-select').innerHTML = html;
  listentooptions();
};
//#endregion

//#region GET
const getorders = function(id) {
  handleData(IP + `order/${id}`, showorders);
};

const getusers = function() {
  handleData(IP + 'users', showusers);
};
//#endregion

//#region POST
//#endregion

//#region ListenTo
const listentooptions = function() {
  document.querySelector('.js-select').addEventListener('input', function() {
    getorders(document.querySelector('.js-select').value);
  });
};

//#endregion

const refresh = function(value) {
  console.log(value);
};

//#region init
const init = function() {
  socket.on('connect', function() {
    console.log('connected');
  });
  getusers();
};

document.addEventListener('DOMContentLoaded', function() {
  console.info('DOM loaded');
  init();
});

//#endregion
