'use strict';
// const IP = 'http://192.168.0.168:5000/'; // thuis
//const IP = 'http://172.30.252.68:5000/'; // school
// const IP = 'http://169.254.10.1:5000/'; // apipa
let IP = 'http://' + location.host + ':5000/';
const socket = io.connect(IP);

//#region show
const showusers = function(users) {
  let html = ``;
  for (const i of users) {
    html += `
      <div class="o-layout o-layout--justify-space-between u-margin-sm-top-bottom">
      <li>${i.Name}</li>
      <li>rfid = ${i.RFID}</li>
    </div>
          `;
  }
  document.querySelector('.js-users').innerHTML = html;
};
//#endregion

//#region GET
const getusers = function() {
  handleData(IP + 'users', showusers);
};
//#endregion

//#region POST
const postuser = function() {
  const body = JSON.stringify({
    Name: document.getElementById('name').value
  });
  handleData(IP + 'adduser', refresh, 'POST', body);
  document.getElementById('name').value = '';
};
//#endregion

//#region ListenTo
const listentoadduser = function() {
  document.querySelector('.js-adduser').addEventListener('click', postuser);
};
//#endregion

const refresh = function(value) {
  console.log(value);
  listentoadduser();
  getusers();
};

socket.on('placecard', function(value) {
  if (value.placed == 0) {
    document.querySelector('.js-overlay').innerHTML = `
          <div class="c-overlay">
          <div class="c-overlay__text-box">
              <h1 class="c-overlay__text">scan your card</h1>
          </div>
          </div>
          `;
  }
  if (value.placed == 1) {
    document.querySelector('.js-overlay').innerHTML = ``;
  }
});

//#region init
const init = function() {
  socket.on('connect', function() {
    console.log('connected');
  });
  listentoadduser();
  getusers();
};

document.addEventListener('DOMContentLoaded', function() {
  console.info('DOM loaded');
  init();
});

//#endregion
