import spidev
from RPi import GPIO


class spi():
    def __init__(self, par_bus = 0, par_device = 0):
        self.bus = par_bus
        self.device = par_device
        self.spi = spidev.SpiDev()
        self.spi.open(self.bus, self.device)  # Bus SPI0, slave op CE 0
        self.spi.max_speed_hz = 100000
        GPIO.setmode(GPIO.BCM)


    def readChannel(self, ch=0):
        #read channel
        bytes = [0x1,(8+ch)<<4, 0x00]
        self.spi.open(self.bus, self.device)  # Bus SPI0, slave op CE 0
        bytes_in = self.spi.xfer2(bytes)
        waarde = bytes_in[0] << 16 | bytes_in[1] << 8 | bytes_in[2]
        voltage = ((waarde / 1024) * 3.3)
        self.spi.close()
        # print("kanaal {0}: {1:.2f}".format(ch, waarde))
        return waarde


